<template>
    <transition>
        <b-card class="question mb-4 p-0">
            <b-card-header :style="{background: gradient}">
                {{index}}
            </b-card-header>
            <b-card-body>
            <b-card-title>{{question}}</b-card-title>
            <b-card-sub-title class="mb-4">Catégorie : {{categorie}}  |  Partie prenante : {{partie}}</b-card-sub-title>
            <div class="options" v-if="inputType === 'radio'">
                <b-form-group class="option" v-for="(option,index) in options" :key="option.key">
                    <b-form-radio :disabled="true" :type="inputType" :value="option.value" :id="name+index" >{{option.label}}</b-form-radio>
                </b-form-group>
            </div>
            <div class="options" v-else>
                <b-form-group >
                    <b-form-checkbox-group v-for="(option,index) in options" :key="option.key">
                            <b-form-checkbox  :disabled="true" :type="inputType" :value="option.value" :id="name+index" >{{option.label}} </b-form-checkbox>
                    </b-form-checkbox-group>
                </b-form-group>
            </div>
            <b-card-footer style="border:none; background : transparent; padding: 0 0 15px;">
                <router-link :to="'/questions/'+ id"> <b-icon class="bg-primary shuffle float-right rounded p-1 ml-2 text-white" font-scale="1.5" icon="pencil"></b-icon></router-link>
                <!-- <b-icon :to="'/questions/'+ id" class="bg-primary shuffle float-right rounded p-1 ml-2 text-white" font-scale="1.5" icon="pencil"></b-icon> -->
                <b-icon @click="deleteByID(id)" class="bg-danger shuffle float-right rounded p-1 text-white" font-scale="1.5" icon="trash"></b-icon>
            </b-card-footer>
            </b-card-body>
        </b-card>
    </transition>
</template>

<script>
export default {
    name:"Question",
    data(){
        return {
            inputType: this.questionType == ('radio' || 'bool') ? 'radio' : 'checkbox'
        }
    },
    props:{
        question:{
            type:String,
            required:true
        },
        id:{
            type: String,
            required: true
        },
        options:{
            type:Array,
            required:true,
            default(){
                return []
            }
        },
        value:{
            type:Number,
            required:true
        },
        name:{
            type:String,
            required:true
        },
        categorie:{
            type:String,
            required:true
        },
        partie:{
            type:String,
            required:true
        },
        questionType:{
            type:String,
            required:true
        },
        index:{
            type:String,
            required: true
        },
        catSlug:{
            type:String,
            required: true
        },
        catID:{
            type:Number,
            required:true
        },
        gradient:{
            type:String,
            required: true
        }
    },
    methods :{
        deleteByID(id){
          this.axios
          .delete('https://rse-back.herokuapp.com/api/questions/'+id)
          .then(response => {
              console.log(response);
              document.location.reload()
            })
          .catch(error => console.log(error));
        },

    }
}
</script>

<style lang="css" scope>
    .card-header{
        border: none !important;
    }
    .card>.card-body{
        padding: 0  !important;
    }
</style>
